Skip to main content
PATCH
/
v1
/
people
/
{person_id}
/
phone_numbers
/
{id}
Update a phone number
curl --request PATCH \
  --url https://api.slant.app/v1/people/{person_id}/phone_numbers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "+15555551234",
  "phone_type": "work",
  "is_primary": true
}
'
{
  "id": "<string>",
  "person_id": "<string>",
  "phone_number": "<string>",
  "phone_type": "<string>",
  "is_primary": true
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

person_id
string
required

The person ID

id
string
required

The phone number ID

Body

application/json
phone_number
string
Example:

"+15555551234"

phone_type
enum<string>
Available options:
mobile,
work,
home,
fax,
other
Example:

"work"

is_primary
boolean
Example:

true

Response

phone number updated

id
string
person_id
string
phone_number
string
phone_type
string
is_primary
boolean